
#ifndef DetectorConstruction_h
#define DetectorConstruction_h 1

#include "G4VUserDetectorConstruction.hh"
#include "globals.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class DetectorConstruction : public G4VUserDetectorConstruction
{
  public:
  
    DetectorConstruction();
   ~DetectorConstruction();
     
    G4VPhysicalVolume* Construct();
                        
    G4double GetWorldSizeXY()     {return worldSizeXY;}; 
    G4double GetWorldSizeZ()      {return worldSizeZ;};
                        
    G4double GetBagRadius()       {return bagRadius;}; 
    G4double GetBagSizeZ()        {return bagSizeZ;};
                        
    G4double GetDrRing()          {return drRing;}; 
    G4int    GetNbRings()         {return nbRings;};    
            
  private:
  
    G4double worldSizeXY, worldSizeZ;
    G4double bagRadius,   bagSizeZ;        
    G4double drRing;
    G4int    nbRings;    
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

